using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public abstract class AbstractComparer<T> : AbstractMultiConverter<T,bool>
    {
        protected override bool Convert(IEnumerable<T> value, object parameter = null)
        {
            return value?.Distinct().Count() == 1;
        }
    }
}